package com.jw.app.business;

import java.util.List;
import java.util.Map;

import org.springframework.stereotype.Service;

import com.gaowj.business.exception.BusinessException;

@Service
public interface GroupBusiness {
    List<Map<String, Object>> listAllModule(Map<String, Object> query) throws BusinessException;
	
	List<Map<String, Object>>  listGroupModule(Map<String, Object> query) throws BusinessException;
	
	List<Map<String, Object>> listAllModuleType() throws BusinessException;
	
    List<Map<String, Object>> listAllUser(Map<String, Object> query) throws BusinessException;
	
	List<Map<String, Object>>  listGroupUser(Map<String, Object> query) throws BusinessException;
	
	List<Map<String,Object>> listAllUnit() throws BusinessException;
	
	List<Map<String, Object>> listAllUserGLuser(Map<String, Object> query) throws BusinessException;


}
